## org.eclipse.jst.jsf.core.jsfappconfig
Class JARFileJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigProvider
          org.eclipse.jst.jsf.core.jsfappconfig.JARFileJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

    public class JARFileJSFAppConfigProvider

extends AbstractJSFAppConfigProvider

JARFileJSFAppConfigProvider provides the root element of an application configuration model by loading the model from a /META-INF/faces-config.xml entry in a JAR file.

Provisional API - subject to change

Field Summary
`static java.lang.String` `FACES_CONFIG_IN_JAR_SUFFIX` Suffix required to turn filename into a JAR URI.
`static java.lang.String` `JARFILE_URI_PREFIX` Prefix required to turn filename into a JAR URI.

Constructor Summary
`JARFileJSFAppConfigProvider(java.lang.String filename)` Creates an instance, storing the passed IProject instance and file name String to be used for subsequent processing.

Method Summary
`boolean` `equals(java.lang.Object otherObject)`
`FacesConfigType` `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`int` `hashCode()`
`void` `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigProvider
`setJSFAppConfigLocater`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JARFILE_URI_PREFIX

    public static final java.lang.String JARFILE_URI_PREFIX

  Prefix required to turn filename into a JAR URI.

  See Also:
    Constant Field Values

### FACES_CONFIG_IN_JAR_SUFFIX

    public static final java.lang.String FACES_CONFIG_IN_JAR_SUFFIX

  Suffix required to turn filename into a JAR URI.

  See Also:
    Constant Field Values

Constructor Detail

### JARFileJSFAppConfigProvider

    public JARFileJSFAppConfigProvider(java.lang.String filename)

  Creates an instance, storing the passed IProject instance and file name String to be used for subsequent processing.

  Parameters:
    `filename` - Name of a JAR file that contains a /META-INF/faces-config.xml entry.

Method Detail

### getFacesConfigModel

    public FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `getFacesConfigModel` in class `AbstractJSFAppConfigProvider`
  Returns:
    FacesConfigType instance, which is the root element of an application configuration model.

### releaseFacesConfigModel

    public void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `releaseFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### equals

    public boolean equals(java.lang.Object otherObject)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`